<div id="create-order">
  <div>
    <v-skeleton-loader
      class="mx-auto mt-10"
      width="100%"
      type="card"
      v-if="loadingTable"
    >
    </v-skeleton-loader>
    <v-simple-table class="scrollTable c-pointer" fixed-header v-else>
      <template v-slot:default>
        <thead>
          <tr>
            <th class="px-2 table-head rounded-tl-lg">
              <div class="d-flex align-center" style="height: 48px">
                <v-checkbox v-model="selectedAll" class="pl-3"></v-checkbox>
                <p
                  class="mb-0 text-sm text-uppercase table-headptionOverline text-content-main"
                >
                  order ID
                </p>
              </div>
            </th>
            <th class="text-left px-2 table-head">
              <p
                class="mb-0 text-sm text-uppercase captionOverline text-content-main"
              >
                status
              </p>
            </th>
            <th class="text-left px-2 table-head">
              <div style="width: 70px">
                <p
                  class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                >
                  product
                </p>
              </div>
            </th>
            <th class="text-left px-2 table-head">
              <p
                class="mb-0 text-sm text-uppercase captionOverline text-content-main"
              >
                customer
              </p>
            </th>
            <th class="text-left px-2 table-head">
              <p
                class="mb-0 text-sm text-uppercase captionOverline text-content-main"
              >
                payment
              </p>
            </th>
            <th class="text-left px-2 table-head">
              <p
                class="mb-0 text-sm text-uppercase captionOverline text-content-main"
              >
                Email Seller
              </p>
            </th>
            <th class="text-left px-2 table-head">
              <p
                class="mb-0 text-sm text-uppercase captionOverline text-content-main"
              >
                Domain
              </p>
            </th>
            <!-- <th class="text-left px-2 table-head">
              <div style="width: 200px">
              <p
                            class="mb-0 text-sm text-uppercase  captionOverline text-content-main">
                  TRACKING
                </p>
              </div>
            </th> -->
            <th class="text-left px-2 table-head">
              <div style="width: 140px">
                <p
                  class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                >
                  CREATED AT
                </p>
              </div>
            </th>
            <th class="text-left px-2 table-head !rounded-tr-lg">
              <div style="width: 140px">
                <p
                  class="mb-0 text-sm text-uppercase captionOverline text-content-main"
                >
                  PROCESSING AT
                </p>
              </div>
            </th>
          </tr>
        </thead>
        <tbody>
          <tr v-for="(order,i) in listOrder" :key="order._id">
            <td class="px-2 py-2">
              <div class="d-flex align-center">
                <div class="d-flex align-center">
                  <v-checkbox
                    v-model="listIds"
                    :value="order._id"
                    class="pl-3"
                  ></v-checkbox>
                  <nuxt-link
                    :to="`/admin/order/${order._id}`"
                    class="text-decoration-none"
                  >
                    <p class="mb-0 text-xs text-[#076ce3] font-weight-bold">
                      {{order.orderCode}}
                    </p>
                  </nuxt-link>
                </div>
              </div>
            </td>
            <td class="px-2 py-2">
              <div class="d-flex">
                <div
                  v-if="order.orderStatus === 'processing'"
                  style="background-color: #e1effe"
                  class="py-1 px-2 rounded-lg text-uppercase"
                >
                  <p class="mb-0 text-xs" style="color: #2196f3">Processing</p>
                </div>
                <div
                  v-if="order.orderStatus === 'pending'"
                  style="background: rgba(255, 193, 48, 0.08)"
                  class="py-1 px-2 rounded-lg text-uppercase"
                >
                  <p class="mb-0 text-xs" style="color: #fb8c00">Pending</p>
                </div>
                <div
                  v-if="order.orderStatus === 'canceled'"
                  style="background-color: #e1effe"
                  class="py-1 px-2 rounded-lg text-uppercase"
                >
                  <p class="mb-0 text-xs" style="color: #ff5252">Canceled</p>
                </div>
                <div
                  v-if="order.orderStatus === 'fulfilled'"
                  style="background-color: #e1effe"
                  class="py-1 px-2 rounded-lg text-uppercase"
                >
                  <p class="mb-0 text-xs" style="color: #4caf50">Fulfilled</p>
                </div>
              </div>
            </td>
            <td class="px-2 py-2">
              <div
                v-for="(product, idx) in order.listSelectedProductId"
                :key="idx"
              >
                <div class="d-flex align-center mb-2">
                  <div class="d-flex align-center">
                    <img
                      :src="convertImage(product.imageUrl)"
                      alt=""
                      class="rounded-lg"
                      width="56"
                      height="56"
                      v-if="product.imageUrl"
                    />
                    <img
                      src="~/assets/images/thumbnails-image.png"
                      alt=""
                      class="rounded-lg"
                      width="56"
                      height="56"
                      v-else
                    />
                  </div>
                  <div class="d-flex align-center">
                    <p
                      class="mb-0 ml-3 fsize-14"
                      v-if="product && product.productId && product.productId.variant && product.productId.variant.length"
                    >
                      {{product.productId.variant.join(" / ")}}
                    </p>
                    <span class="ml-3 fsize-14"> x {{product.quantity}} </span>
                  </div>
                </div>
              </div>
            </td>
            <td class="px-2 py-2">
              <p class="mb-0 lightContentPrimary fsize-14">
                {{order.shippingAddress.firstName}}
                {{order.shippingAddress.lastName}}
              </p>
              <p class="mb-0 lightContentPrimary fsize-14">
                {{order.shippingAddress.country}}
              </p>
            </td>
            <td class="px-2 py-2">
              <p class="mb-0 lightContentPrimary fsize-14">
                {{order.total && $utils.formatCurrencyFloat(order.total -
                order.tip)}}$
              </p>
            </td>
            <!-- <td class="px-2 py-2">
              <p class="mb-0 lightContentBlue" v-if="order.trackingNumber">
                {{order.trackingNumber}}
              </p>
              <p class="mb-0" v-else>
                No Tracking Number
              </p>
            </td> -->
            <td class="px-2 py-2">
              <p class="mb-0 lightContentPrimary fsize-12">
                {{order.sellerId && order.sellerId.email}}
              </p>
            </td>
            <td class="px-2 py-2">
              <p class="mb-0 lightContentPrimary fsize-12">
                {{order.storeId && order.storeId.domain}}
              </p>
            </td>
            <td class="px-2 py-2">
              <p class="mb-0 lightContentPrimary fsize-12">
                {{order.createdAt && formatDate(order.createdAt)}}
              </p>
            </td>
            <td class="px-2 py-2">
              <p class="mb-0 lightContentPrimary fsize-12">
                {{order.processingDate && formatDate(order.processingDate)}}
              </p>
            </td>
          </tr>
        </tbody>
      </template>
    </v-simple-table>
    <div
      class="d-flex justify-center my-2"
      v-if="listOrder.length == 0 && !loadingTable"
    >
      <div>
        <div class="d-flex align-center justify-center">
          <img
            src="~/assets/images/no-product.png"
            alt=""
            width="136"
            height="136"
          />
        </div>
        <p class="mb-0 mt-4 text-center colorGreyHeaderTable">
          Your orders will show here
        </p>
      </div>
    </div>
    <div
      class="text-center mt-4 pb-2 d-sm-flex align-center justify-sm-space-between"
    >
      <div id="hideBottomInput" class="d-flex align-center justify-center">
        <p class="mb-0 mr-2">Rows per page:</p>
        <v-select
          :items="limitItems"
          dense
          solo
          v-model="configLimit"
          item-value="item"
          class="px-2"
          @change="onGetListOrder()"
          style="max-width: 100px; width: 100%"
        >
        </v-select>
      </div>
      <div class="d-sm-flex items-center">
        <v-pagination
          v-model="configPage"
          :length="totalPage"
          :total-visible="5"
          class="pagination"
        >
        </v-pagination>
        <div
          id="hideBottomInput"
          class="input-gotopage pos-relative mx-3 mx-sm-0 mt-3 mt-sm-0"
        >
          <v-text-field
            dense
            outlined
            v-model.number="page"
            placeholder="Go to page"
          >
          </v-text-field>
          <div class="button-inside-input">
            <v-btn
              height="36px"
              color="#076CE3"
              class="px-2 button-inside-input__button elevation-0"
              @click="onRedirectPage()"
            >
              <v-icon color="#ffffff"> mdi-chevron-right </v-icon>
            </v-btn>
          </div>
        </div>
      </div>
    </div>
  </div>
</div>
